API version: unstable
API version: 2021-01 Release candidate
API version: 2020-10 Latest
API version: 2020-07
API version: 2020-04
API version: 2020-01
API version: 2019-10 Unsupported
API version: 2019-07 Unsupported

DiscountCustomerBuys object

Version unstable

The prerequisite items and prerequisite value.

Required access

Apps must have read_discounts access scope.

Fields

items (DiscountItems!)

The items required for the discount to be applicable.

value (DiscountCustomerBuysValue!)

The prerequisite value.

Types that return DiscountCustomerBuys

Version 2021-01 (Release candidate)

The prerequisite items and prerequisite value.

Required access

Apps must have read_discounts access scope.

Fields

items (DiscountItems!)

The items required for the discount to be applicable.

value (DiscountCustomerBuysValue!)

The prerequisite value.

Types that return DiscountCustomerBuys

Version 2020-10 (Latest)

The prerequisite items and prerequisite value.

Required access

Apps must have read_discounts access scope.

Fields

items (DiscountItems!)

The items required for the discount to be applicable.

value (DiscountCustomerBuysValue!)

The prerequisite value.

Types that return DiscountCustomerBuys

Version 2020-07

The prerequisite items and prerequisite value.

Required access

Apps must have read_discounts access scope.

Fields

items (DiscountItems!)

The items required for the discount to be applicable.

value (DiscountCustomerBuysValue!)

The prerequisite value.

Types that return DiscountCustomerBuys

Version 2020-04

The prerequisite items and prerequisite value.

Required access

Apps must have read_discounts access scope.

Fields

items (DiscountItems!)

The items required for the discount to be applicable.

value (DiscountCustomerBuysValue!)

The prerequisite value.

Types that return DiscountCustomerBuys

Version 2020-01

The prerequisite items and prerequisite value.

Required access

Apps must have read_discounts access scope.

Fields

items (DiscountItems!)

The items required for the discount to be applicable.

value (DiscountCustomerBuysValue!)

The prerequisite value.

Types that return DiscountCustomerBuys

Version 2019-10 (Unsupported)

The prerequisite items and prerequisite value.

Required access

Apps must have read_discounts access scope.

Fields

items (DiscountItems!)

The items required for the discount to be applicable.

value (DiscountCustomerBuysValue!)

The prerequisite value.

Types that return DiscountCustomerBuys

Version 2019-07 (Unsupported)

The prerequisite items and prerequisite value.

Required access

Apps must have read_discounts access scope.

Fields

items (DiscountItems!)

The items required for the discount to be applicable.

value (DiscountCustomerBuysValue!)

The prerequisite value.

Types that return DiscountCustomerBuys

Version 2019-04 (Unsupported)

The prerequisite items and prerequisite value.

Required access

Apps must have read_discounts access scope.

Fields

items (DiscountItems!)

The items required for the discount to be applicable.

value (DiscountCustomerBuysValue!)

The prerequisite value.

Types that return DiscountCustomerBuys